/**
* @license Apache-2.0
*
* Copyright (c) 2020 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

#ifndef STDLIB_STRIDED_NAPI_H
#define STDLIB_STRIDED_NAPI_H

// Note: keep in alphabetical order...
#include "stdlib/strided/base/binary.h"
#include "stdlib/strided/base/dmap.h"
#include "stdlib/strided/base/dmskmap.h"
#include "stdlib/strided/base/function_object.h"
#include "stdlib/strided/base/mskunary.h"
#include "stdlib/strided/base/smap.h"
#include "stdlib/strided/base/smskmap.h"
#include "stdlib/strided/base/unary.h"

#include "stdlib/strided/dtypes.h"

#include "stdlib/strided/napi/dmap.h"
#include "stdlib/strided/napi/dmskmap.h"
#include "stdlib/strided/napi/mskunary.h"
#include "stdlib/strided/napi/smap.h"
#include "stdlib/strided/napi/smskmap.h"
#include "stdlib/strided/napi/unary.h"

#endif // !STDLIB_STRIDED_NAPI_H
