import { LocationRange } from "peggy";
import { result } from "../utility/result.js";
import { type ASTCommentNode, type ASTNode } from "./peggyHelpers.js";
export { type ASTNode } from "./peggyHelpers.js";
import { ICompileError } from "../errors/IError.js";
export type ParseError = {
    type: "SyntaxError";
    location: LocationRange;
    message: string;
};
export type AST = Extract<ASTNode, {
    type: "Program";
}> & {
    comments: ASTCommentNode[];
};
type ParseResult = result<AST, ICompileError>;
export declare function parse(expr: string, source: string): ParseResult;
export declare function nodeResultToString(r: ParseResult): string;
//# sourceMappingURL=parse.d.ts.map