import { result } from "../utility/result.js";
import { DistError } from "./DistError.js";
import { PointSetDist } from "./PointSetDist.js";
import { Env } from "./env.js";
export declare abstract class BaseDist {
    abstract min(): number;
    abstract max(): number;
    abstract mean(): number;
    abstract sample(): number;
    abstract sampleN(n: number): number[];
    abstract normalize(): BaseDist;
    isNormalized(): boolean;
    abstract truncate(left: number | undefined, right: number | undefined, opts?: {
        env: Env;
    }): result<BaseDist, DistError>;
    abstract integralSum(): number;
    abstract pdf(x: number, opts: {
        env: Env;
    }): result<number, DistError>;
    abstract cdf(x: number): number;
    abstract inv(x: number): number;
    stdev(): result<number, DistError>;
    abstract variance(): result<number, DistError>;
    protected abstract _isEqual(b: BaseDist): boolean;
    isEqual(b: BaseDist): boolean;
    mode(): result<number, DistError>;
    abstract toPointSetDist(env: Env): result<PointSetDist, DistError>;
    abstract toSparkline(bucketCount: number, env: Env): result<string, DistError>;
    expectedConvolutionCost(): number;
}
//# sourceMappingURL=BaseDist.d.ts.map