import * as Result from "../utility/result.js";
import { notYetImplemented } from "./DistError.js";
import * as magicNumbers from "../magicNumbers.js";
export class BaseDist {
    isNormalized() {
        return Math.abs(this.integralSum() - 1) < 1e-7;
    }
    stdev() {
        return Result.fmap(this.variance(), Math.sqrt);
    }
    isEqual(b) {
        return this.constructor === b.constructor && this._isEqual(b);
    }
    mode() {
        return Result.Err(notYetImplemented());
    }
    expectedConvolutionCost() {
        return magicNumbers.OpCost.wildcardCost;
    }
}
//# sourceMappingURL=BaseDist.js.map