import { OperationError } from "../operationError.js";
import { XYShapeError } from "../XYShape.js";
type SimpleError<S extends string> = {
    type: S;
};
type StringError<S extends string> = {
    type: S;
    message: string;
};
type ValueError<S extends string, V> = {
    type: S;
    value: V;
};
export type DistError = SimpleError<"NotYetImplemented"> | SimpleError<"Unreachable"> | SimpleError<"DistributionVerticalShiftIsInvalid"> | SimpleError<"TooFewSamples"> | SimpleError<"TooFewSamplesForConversionToPointSet"> | StringError<"NonNumericInput"> | StringError<"ArgumentError"> | StringError<"SparklineError"> | StringError<"RequestedStrategyInvalidError"> | StringError<"LogarithmOfDistributionError"> | StringError<"OtherError"> | ValueError<"OperationError", OperationError> | ValueError<"XYShapeError", XYShapeError>;
export declare const tooFewSamplesForConversionToPointSet: () => DistError;
export declare const distOperationError: (operationError: OperationError) => DistError;
export declare const notYetImplemented: () => DistError;
export declare const unreachableError: () => DistError;
export declare const distributionVerticalShiftIsInvalid: () => DistError;
export declare const operationDistError: (e: OperationError) => DistError;
export declare const sparklineError: (e: string) => DistError;
export declare const logarithmOfDistributionError: (e: string) => DistError;
export declare const requestedStrategyInvalidError: (e: string) => DistError;
export declare const otherError: (e: string) => DistError;
export declare const argumentError: (e: string) => DistError;
export declare const xyShapeDistError: (e: XYShapeError) => DistError;
export declare const distErrorToString: (e: DistError) => string;
export {};
//# sourceMappingURL=DistError.d.ts.map