import { ContinuousShape } from "../PointSet/Continuous.js";
import { MixedShape } from "../PointSet/Mixed.js";
import * as Result from "../utility/result.js";
import * as PointSet from "../PointSet/PointSet.js";
import { BaseDist } from "./BaseDist.js";
import { DistError } from "./DistError.js";
export declare class PointSetDist extends BaseDist {
    pointSet: MixedShape;
    constructor(pointSet: MixedShape);
    toString(): string;
    max(): number;
    min(): number;
    mean(): number;
    variance(): Result.result<number, DistError>;
    downsample(n: number): PointSetDist;
    sample(): number;
    sampleN(n: number): number[];
    _isEqual(other: PointSetDist): boolean;
    truncate(left: number | undefined, right: number | undefined): Result.result<PointSetDist, DistError>;
    normalize(): PointSetDist;
    integralSum(): number;
    pdf(f: number): Result.result<number, DistError>;
    inv(f: number): number;
    cdf(f: number): number;
    toPointSetDist(): Result.result<PointSetDist, DistError>;
    toSparkline(bucketCount: number): Result.result<string, DistError>;
    mapYResult<E>(fn: (y: number) => Result.result<number, E>, integralSumCacheFn: undefined | ((sum: number) => number | undefined), integralCacheFn: undefined | ((cache: ContinuousShape) => ContinuousShape | undefined)): Result.result<PointSetDist, E>;
}
export declare const combineAlgebraically: (op: PointSet.ConvolutionOperation, t1: PointSetDist, t2: PointSetDist) => PointSetDist;
export declare const combinePointwise: <E>(t1: PointSetDist, t2: PointSetDist, fn: (v1: number, v2: number) => Result.result<number, E>, integralSumCachesFn?: (v1: number, v2: number) => number | undefined, integralCachesFn?: (s1: ContinuousShape, s2: ContinuousShape) => ContinuousShape | undefined) => Result.result<PointSetDist, E>;
export declare function expectedConvolutionCost(d: PointSetDist): number;
//# sourceMappingURL=PointSetDist.d.ts.map