import { result } from "../../utility/result.js";
import { BaseDist } from "../BaseDist.js";
import { DistError } from "../DistError.js";
import { Env } from "../env.js";
type DistResult = result<BaseDist, DistError>;
export type BinaryOperation = (t1: BaseDist, t2: BaseDist, opts: {
    env: Env;
}) => DistResult;
export declare const binaryOperations: {
    algebraicAdd: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    algebraicMultiply: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    algebraicDivide: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    algebraicSubtract: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    algebraicLogarithm: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    algebraicPower: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    pointwiseAdd: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    pointwiseMultiply: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    pointwiseDivide: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    pointwiseSubtract: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    pointwiseLogarithm: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
    pointwisePower: (t1: BaseDist, t2: BaseDist, { env }: {
        env: Env;
    }) => result<BaseDist, DistError>;
};
type DistsResult = result<BaseDist[], DistError>;
export declare const algebraicSum: (dists: BaseDist[], env: Env) => DistResult;
export declare const algebraicProduct: (dists: BaseDist[], env: Env) => DistResult;
export declare const algebraicCumSum: (dists: BaseDist[], env: Env) => DistsResult;
export declare const algebraicCumProd: (dists: BaseDist[], env: Env) => DistsResult;
export declare const algebraicDiff: (dists: BaseDist[], env: Env) => DistsResult;
export {};
//# sourceMappingURL=binaryOperations.d.ts.map