import { pointwiseCombinationFloat } from "./pointwiseCombination.js";
export function scaleLog(dist, f, { env }) {
    return pointwiseCombinationFloat(dist, {
        env,
        algebraicOperation: "Logarithm",
        f,
    });
}
export function scaleLogWithThreshold(dist, { env, base, eps }) {
    return pointwiseCombinationFloat(dist, {
        env,
        algebraicOperation: {
            NAME: "LogarithmWithThreshold",
            VAL: eps,
        },
        f: base,
    });
}
export function scaleMultiply(dist, f, { env }) {
    return pointwiseCombinationFloat(dist, {
        env,
        algebraicOperation: "Multiply",
        f,
    });
}
export function scalePower(dist, f, { env }) {
    return pointwiseCombinationFloat(dist, {
        env,
        algebraicOperation: "Power",
        f,
    });
}
//# sourceMappingURL=scaleOperations.js.map