import { LocationRange } from "peggy";
import { Frame, FrameStack } from "../reducer/frameStack.js";
import { ErrorMessage } from "./messages.js";
export declare class IRuntimeError extends Error {
    m: ErrorMessage;
    frameStack: FrameStack;
    private constructor();
    static fromMessage(message: ErrorMessage): IRuntimeError;
    static fromMessageWithFrameStack(message: ErrorMessage, frameStack: FrameStack): IRuntimeError;
    static fromException(exn: unknown): IRuntimeError;
    toString(): string;
    toStringWithDetails(): string;
    getTopFrame(): Frame | undefined;
    getFrameArray(): Frame[];
}
export declare function rethrowWithFrameStack(err: unknown, frameStack: FrameStack): never;
export declare class ICompileError extends Error {
    message: string;
    location: LocationRange;
    constructor(message: string, location: LocationRange);
    toString(): string;
    toStringWithDetails(): string;
}
//# sourceMappingURL=IError.d.ts.map