import { DistError } from "../dist/DistError.js";
import { OperationError } from "../operationError.js";
import { VDomain, Value } from "../value/index.js";
export declare abstract class ErrorMessage extends Error {
    abstract toString(): string;
}
export declare class REArityError extends ErrorMessage {
    fn: string | undefined;
    arity: number;
    usedArity: number;
    constructor(fn: string | undefined, arity: number, usedArity: number);
    toString(): string;
}
export declare class REArrayIndexNotFound extends ErrorMessage {
    msg: string;
    index: number;
    constructor(msg: string, index: number);
    toString(): string;
}
export declare class REDistributionError extends ErrorMessage {
    err: DistError;
    constructor(err: DistError);
    toString(): string;
}
export declare class REExpectedType extends ErrorMessage {
    typeName: string;
    valueString: string;
    constructor(typeName: string, valueString: string);
    toString(): string;
}
export declare class RENotAFunction extends ErrorMessage {
    value: string;
    constructor(value: string);
    toString(): string;
}
export declare class REOperationError extends ErrorMessage {
    err: OperationError;
    constructor(err: OperationError);
    toString(): string;
}
export declare class REDictPropertyNotFound extends ErrorMessage {
    msg: string;
    index: string;
    constructor(msg: string, index: string);
    toString(): string;
}
export declare class RESymbolNotFound extends ErrorMessage {
    symbolName: string;
    constructor(symbolName: string);
    toString(): string;
}
export declare class RESyntaxError extends ErrorMessage {
    desc: string;
    constructor(desc: string);
    toString(): string;
}
export declare class RETodo extends ErrorMessage {
    msg: string;
    constructor(msg: string);
    toString(): string;
}
export declare class REDomainError extends ErrorMessage {
    value: Value;
    domain: VDomain;
    constructor(value: Value, domain: VDomain);
    toString(): string;
}
export declare class REJavaScriptExn extends ErrorMessage {
    msg: string;
    name: string;
    constructor(msg: string, name: string);
    toString(): string;
}
export declare class REArgumentError extends ErrorMessage {
    msg: string;
    constructor(msg: string);
    toString(): string;
}
export declare class REOther extends ErrorMessage {
    msg: string;
    constructor(msg: string);
    toString(): string;
}
export declare class REAmbiguous extends ErrorMessage {
    msg: string;
    constructor(msg: string);
    toString(): string;
}
//# sourceMappingURL=messages.d.ts.map