import { Lambda } from "../../reducer/lambda.js";
import { Value } from "../../value/index.js";
import { FnDefinition } from "./fnDefinition.js";
export type FRFunction = {
    name: string;
    nameSpace: string;
    requiresNamespace: boolean;
    definitions: FnDefinition[];
    output?: Value["type"];
    examples?: string[];
    description?: string;
    isExperimental?: boolean;
};
export declare class Registry {
    private functions;
    private fnNameDict;
    private constructor();
    static make(fns: FRFunction[]): Registry;
    allExamplesWithFns(): {
        fn: FRFunction;
        example: string;
    }[];
    allNames(): string[];
    makeLambda(fnName: string): Lambda;
}
//# sourceMappingURL=core.d.ts.map