import { ReducerContext } from "../../reducer/context.js";
import { Value } from "../../value/index.js";
import { FRType } from "./frTypes.js";
export type FnDefinition = {
    inputs: FRType<any>[];
    run: (args: any[], context: ReducerContext) => Value;
};
export declare function makeDefinition<const T extends any[]>(inputs: [...{
    [K in keyof T]: FRType<T[K]>;
}], run: (args: T, context: ReducerContext) => Value): FnDefinition;
export declare function tryCallFnDefinition(fn: FnDefinition, args: Value[], context: ReducerContext): Value | undefined;
export declare function fnDefinitionToString(fn: FnDefinition): string;
//# sourceMappingURL=fnDefinition.d.ts.map