export function makeDefinition(inputs, run) {
    return {
        inputs,
        run: run,
    };
}
export function tryCallFnDefinition(fn, args, context) {
    if (args.length !== fn.inputs.length) {
        return;
    }
    const unpackedArgs = [];
    for (let i = 0; i < args.length; i++) {
        const unpackedArg = fn.inputs[i].unpack(args[i]);
        if (unpackedArg === undefined) {
            return;
        }
        unpackedArgs.push(unpackedArg);
    }
    return fn.run(unpackedArgs, context);
}
export function fnDefinitionToString(fn) {
    const inputs = fn.inputs.map((t) => t.getName()).join(", ");
    return `(${inputs})`;
}
//# sourceMappingURL=fnDefinition.js.map