import { parse } from "../../ast/parse.js";
import { defaultEnv } from "../../dist/env.js";
import { compileAst } from "../../expression/compile.js";
import { createContext } from "../../reducer/context.js";
export function makeSquiggleDefinition({ builtins, name, code, }) {
    const astResult = parse(code, "@stdlib");
    if (!astResult.ok) {
        throw new Error(`Stdlib code ${code} is invalid`);
    }
    const expressionResult = compileAst(astResult.value, builtins);
    if (!expressionResult.ok) {
        throw expressionResult.value;
    }
    const context = createContext(defaultEnv);
    const [value] = context.evaluate(expressionResult.value, context);
    return { name, value };
}
//# sourceMappingURL=squiggleDefinition.js.map