import { ICompileError, IRuntimeError } from "../errors/IError.js";
import { Frame } from "../reducer/frameStack.js";
declare abstract class SqAbstractError<T extends string> {
    abstract tag: T;
    abstract toString(): string;
    abstract toStringWithDetails(): string;
}
export declare class SqFrame {
    private _value;
    constructor(_value: Frame);
    name(): string;
    location(): import("peggy").LocationRange | undefined;
}
export declare class SqRuntimeError extends SqAbstractError<"runtime"> {
    private _value;
    tag: "runtime";
    constructor(_value: IRuntimeError);
    toString(): string;
    toStringWithDetails(): string;
    private getTopFrame;
    getFrameArray(): SqFrame[];
    location(): import("peggy").LocationRange | undefined;
}
export declare class SqCompileError extends SqAbstractError<"compile"> {
    private _value;
    tag: "compile";
    constructor(_value: ICompileError);
    toString(): string;
    toStringWithDetails(): string;
    location(): import("peggy").LocationRange;
}
export declare class SqOtherError extends SqAbstractError<"other"> {
    private _value;
    tag: "other";
    constructor(_value: string);
    toString(): string;
    toStringWithDetails(): string;
}
export type SqError = SqRuntimeError | SqCompileError | SqOtherError;
export {};
//# sourceMappingURL=SqError.d.ts.map