import { AST } from "../../ast/parse.js";
import { ReducerContext } from "../../reducer/context.js";
import { Bindings } from "../../reducer/stack.js";
import { ImmutableMap } from "../../utility/immutableMap.js";
import { result } from "../../utility/result.js";
import { Value } from "../../value/index.js";
import { SqError } from "../SqError.js";
import { SqLinker } from "../SqLinker.js";
export type RunOutput = {
    result: Value;
    bindings: Bindings;
    exports: Bindings;
};
export type Import = {
    type: "flat";
    sourceId: string;
} | {
    type: "named";
    sourceId: string;
    variable: string;
};
export declare class ProjectItem {
    private readonly sourceId;
    source: string;
    continues: string[];
    ast?: result<AST, SqError>;
    imports?: result<Import[], SqError>;
    output?: result<RunOutput, SqError>;
    constructor(props: {
        sourceId: string;
        source: string;
    });
    touchSource(): void;
    setSource(source: string): void;
    private setAst;
    private setImports;
    clean(): void;
    getDependencies(): string[];
    getImplicitImports(): Import[];
    setContinues(continues: string[]): void;
    parseImports(linker: SqLinker | undefined): void;
    private buildAst;
    failRun(e: SqError): void;
    run(context: ReducerContext, externals: ImmutableMap<string, Value>): Promise<void>;
}
//# sourceMappingURL=ProjectItem.d.ts.map