import { Env } from "../../dist/env.js";
import { Bindings } from "../../reducer/stack.js";
import * as Result from "../../utility/result.js";
import { SqError } from "../SqError.js";
import { SqDict } from "../SqValue/SqDict.js";
import { SqValue } from "../SqValue/index.js";
import { SqValuePath } from "../SqValuePath.js";
import { SqLinker } from "../SqLinker.js";
import { SqOutputResult } from "../types.js";
import { Import } from "./ProjectItem.js";
type Options = {
    linker?: SqLinker;
    stdLib?: Bindings;
    environment?: Env;
};
export declare class SqProject {
    private readonly items;
    private stdLib;
    private environment;
    private linker?;
    private inverseGraph;
    constructor(options?: Options);
    static create(options?: Options): SqProject;
    getEnvironment(): Env;
    setEnvironment(environment: Env): void;
    getStdLib(): Bindings;
    getSourceIds(): string[];
    private getItem;
    private cleanDependents;
    getDependents(sourceId: string): string[];
    getDependencies(sourceId: string): string[];
    private removeImportEdges;
    touchSource(sourceId: string): void;
    setSource(sourceId: string, value: string): void;
    removeSource(sourceId: string): void;
    getSource(sourceId: string): string | undefined;
    clean(sourceId: string): void;
    cleanAll(): void;
    getImportIds(sourceId: string): Result.result<string[], SqError>;
    getImports(sourceId: string): Result.result<Import[], SqError> | undefined;
    getContinues(sourceId: string): string[];
    setContinues(sourceId: string, continues: string[]): void;
    private getInternalOutput;
    private parseImports;
    getOutput(sourceId: string): SqOutputResult;
    getResult(sourceId: string): Result.result<SqValue, SqError>;
    getBindings(sourceId: string): Result.result<SqDict, SqError>;
    private buildExternals;
    private innerRun;
    run(sourceId: string): Promise<void>;
    findValuePathByOffset(sourceId: string, offset: number): Result.result<SqValuePath, SqError>;
}
export {};
//# sourceMappingURL=index.d.ts.map