import { vDict } from "../../value/index.js";
import { SqDictValue, wrapValue } from "./index.js";
export class SqDict {
    constructor(_value, context) {
        this._value = _value;
        this.context = context;
    }
    entries() {
        return [...this._value.entries()].map(([k, v]) => [
            k,
            wrapValue(v, this.context?.extend({ type: "string", value: k })),
        ]);
    }
    get(key) {
        const value = this._value.get(key);
        if (value === undefined) {
            return undefined;
        }
        return wrapValue(value, this.context?.extend({ type: "string", value: key }));
    }
    toString() {
        return vDict(this._value).toString();
    }
    asValue() {
        return new SqDictValue(vDict(this._value), this.context);
    }
}
//# sourceMappingURL=SqDict.js.map