export function wrapDomain(value) {
    switch (value.type) {
        case "NumericRange":
            return new SqNumericRangeDomain(value);
        default:
            throw new Error(`Unknown type ${value.type}`);
    }
}
class SqAbstractDomain {
    constructor(_value) {
        this._value = _value;
    }
    toString() {
        return this._value.toString();
    }
}
class SqNumericRangeDomain extends SqAbstractDomain {
    constructor() {
        super(...arguments);
        this.tag = "NumericRange";
    }
    get min() {
        return this._value.min;
    }
    get max() {
        return this._value.max;
    }
}
//# sourceMappingURL=SqDomain.js.map