import { Input } from "../../value/index.js";
export declare const wrapInput: (value: Input) => SqInput;
declare abstract class SqAbstractInput<T extends Input["type"]> {
    _value: Extract<Input, {
        type: T;
    }>;
    abstract tag: T;
    constructor(_value: Extract<Input, {
        type: T;
    }>);
    toString(): string;
    get name(): string;
    get description(): string | undefined;
    get default(): string | boolean | undefined;
}
export declare class SqTextInput extends SqAbstractInput<"text"> {
    tag: "text";
}
export declare class SqTextAreaInput extends SqAbstractInput<"textArea"> {
    tag: "textArea";
}
export declare class SqCheckboxInput extends SqAbstractInput<"checkbox"> {
    tag: "checkbox";
}
export declare class SqSelectInput extends SqAbstractInput<"select"> {
    tag: "select";
    get options(): string[];
}
export type SqInput = SqTextInput | SqTextAreaInput | SqSelectInput | SqCheckboxInput;
export {};
//# sourceMappingURL=SqInput.d.ts.map