import { Env } from "../../dist/env.js";
import { Lambda } from "../../reducer/lambda.js";
import { result } from "../../utility/result.js";
import { SqError } from "../SqError.js";
import { SqValueContext } from "../SqValueContext.js";
import { SqDomain } from "./SqDomain.js";
import { SqValue } from "./index.js";
export type SqLambdaParameter = {
    name: string;
    domain?: SqDomain;
    typeName?: string;
};
type SqLambdaSignature = SqLambdaParameter[];
export declare class SqLambda {
    _value: Lambda;
    context?: SqValueContext | undefined;
    constructor(_value: Lambda, context?: SqValueContext | undefined);
    static createFromStdlibName(name: string): SqLambda;
    parameterCounts(): number[];
    signatures(): SqLambdaSignature[];
    call(args: SqValue[], env?: Env): result<SqValue, SqError>;
    toString(): string;
    parameterString(): string;
}
export {};
//# sourceMappingURL=SqLambda.d.ts.map