import { CommonScaleArgs, Scale } from "../../value/index.js";
export declare const wrapScale: (value: Scale) => SqScale;
declare abstract class SqAbstractScale<T extends Scale["type"]> {
    _value: Extract<Scale, {
        type: T;
    }>;
    abstract tag: T;
    constructor(_value: Extract<Scale, {
        type: T;
    }>);
    toString(): string;
    get min(): number | undefined;
    get max(): number | undefined;
    get tickFormat(): string | undefined;
    get title(): string | undefined;
}
export declare class SqLinearScale extends SqAbstractScale<"linear"> {
    tag: "linear";
    static create(args?: CommonScaleArgs): SqLinearScale;
}
export declare class SqLogScale extends SqAbstractScale<"log"> {
    tag: "log";
    static create(args?: CommonScaleArgs): SqLogScale;
}
export declare class SqSymlogScale extends SqAbstractScale<"symlog"> {
    tag: "symlog";
    private _constant;
    constructor(args: CommonScaleArgs & {
        constant?: number;
    });
    static create(args: CommonScaleArgs & {
        constant?: number;
    }): SqSymlogScale;
    get constant(): number;
}
export declare class SqPowerScale extends SqAbstractScale<"power"> {
    tag: "power";
    private _exponent;
    constructor(args: CommonScaleArgs & {
        exponent?: number;
    });
    static create(args: CommonScaleArgs & {
        exponent?: number;
    }): SqPowerScale;
    get exponent(): number;
}
export type SqScale = SqLinearScale | SqLogScale | SqSymlogScale | SqPowerScale;
export {};
//# sourceMappingURL=SqScale.d.ts.map