import { ASTNode } from "../ast/parse.js";
export type PathItem = {
    type: "string";
    value: string;
} | {
    type: "number";
    value: number;
} | {
    type: "cellAddress";
    value: {
        row: number;
        column: number;
    };
} | {
    type: "calculator";
};
export declare class SqValuePath {
    root: "result" | "bindings";
    items: PathItem[];
    constructor(props: {
        root: "result" | "bindings";
        items: PathItem[];
    });
    extend(item: PathItem): SqValuePath;
    static findByOffset({ ast, offset, }: {
        ast: ASTNode;
        offset: number;
    }): SqValuePath | undefined;
    itemsAsValuePaths({ includeRoot }: {
        includeRoot?: boolean | undefined;
    }): SqValuePath[];
    isRoot(): boolean;
}
//# sourceMappingURL=SqValuePath.d.ts.map