import { List } from "immutable";
import { REOther } from "../errors/messages.js";
import { ImmutableMap } from "../utility/immutableMap.js";
export class Stack {
    constructor(stack = List()) {
        this.stack = stack;
    }
    static make() {
        return new Stack();
    }
    outOfBounds() {
        throw new REOther("Internal error: out of bounds stack index");
    }
    get(offset) {
        const size = this.stack.size;
        const pos = size - 1 - offset;
        if (pos < 0) {
            this.outOfBounds();
        }
        const result = this.stack.get(pos);
        if (!result) {
            this.outOfBounds();
        }
        return result.value;
    }
    push(name, value) {
        return new Stack(this.stack.push({ name, value }));
    }
    asBindings() {
        return ImmutableMap(this.stack.map((entry) => [entry.name, entry.value]));
    }
}
//# sourceMappingURL=stack.js.map