import { result } from "./result.js";
export type Duration = number;
export declare const Duration: {
    minute: number;
    hour: number;
    day: number;
    year: number;
    fromFloat: (f: number) => Duration;
    toFloat: (d: Duration) => number;
    fromMinutes: (h: number) => Duration;
    fromHours: (h: number) => Duration;
    fromDays: (d: number) => Duration;
    fromYears: (y: number) => Duration;
    toMinutes: (t: Duration) => number;
    toHours: (t: Duration) => number;
    toDays: (t: Duration) => number;
    toYears: (t: Duration) => number;
    toString(t: number): string;
    add: (t1: Duration, t2: Duration) => Duration;
    subtract: (t1: Duration, t2: Duration) => Duration;
    multiply: (t1: Duration, t2: number) => Duration;
    divide: (t1: Duration, t2: number) => Duration;
};
export declare const DateModule: {
    toString(d: Date): string;
    fmap(t: Date, fn: (v: number) => number): Date;
    subtract(t1: Date, t2: Date): result<Duration, string>;
    addDuration(t: Date, duration: Duration): Date;
    subtractDuration(t: Date, duration: Duration): Date;
    makeWithYearInt(y: number): result<Date, string>;
    makeFromYear(year: number): result<Date, string>;
};
export { DateModule as Date };
//# sourceMappingURL=DateTime.d.ts.map