export type result<V, E> = {
    ok: true;
    value: V;
} | {
    ok: false;
    value: E;
};
export declare function Ok<T, E>(value: T): result<T, E>;
export declare function Err<T, E>(value: E): result<T, E>;
export declare function fmap<T, T2, E>(r: result<T, E>, fn: (v: T) => T2): result<T2, E>;
export declare function fmap2<T, T2, E, E2>(r: result<T, E>, fn1: (v: T) => T2, fn2: (v: E) => E2): result<T2, E2>;
export declare function errMap<T, E, E2>(r: result<T, E>, fn: (v: E) => E2): result<T, E2>;
export declare function bind<T, T2, E>(r: result<T, E>, fn: (v: T) => result<T2, E>): result<T2, E>;
export declare function merge<T1, T2, E>(a: result<T1, E>, b: result<T2, E>): result<[T1, T2], E>;
export declare function getError<T, E>(r: result<T, E>): E | undefined;
export declare function getExt<T, E>(r: result<T, E>): T;
//# sourceMappingURL=result.d.ts.map