const ticks = [`▁`, `▂`, `▃`, `▄`, `▅`, `▆`, `▇`, `█`];
const _ticksLength = ticks.length;
const _heightToTickIndex = (maximum, v) => {
    const suggestedTickIndex = Math.ceil((v / maximum) * _ticksLength) - 1;
    return Math.max(suggestedTickIndex, 0);
};
export const createSparkline = (relativeHeights, maximum = undefined) => {
    if (relativeHeights.length === 0) {
        return "";
    }
    else {
        const usedMaximum = maximum ?? Math.max(...relativeHeights);
        return relativeHeights
            .map((v) => _heightToTickIndex(usedMaximum, v))
            .map((r) => ticks[r])
            .join("");
    }
};
//# sourceMappingURL=sparklines.js.map